getGroups {nlme} | R Documentation

## Extract Grouping Factors from an Object

### Description

This function is generic; method functions can be written to handle specific classes of objects. Classes which already have methods for this function include `corStruct`, `data.frame`, `gls`, `lme`, `lmList`, and `varFunc`.

### Usage

    getGroups(object, form, level, data, sep)

### Arguments

`object` | any object
`form` | an optional formula with a conditioning expression on its right hand side (i.e. an expression involving the `|` operator). Defaults to `formula(object)`.
`level` | a positive integer vector with the level(s) of grouping to be used when multiple nested levels of grouping are present. This argument is optional for most methods of this generic function and defaults to all levels of nesting.
`data` | a data frame in which to interpret the variables named in `form`. Optional for most methods.
`sep` | character, the separator to use between group levels when multiple levels are collapsed. The default is `'/'`.

### Value

will depend on the method function used; see the appropriate documentation.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### See Also

`getGroupsFormula`, `getGroups.data.frame`, `getGroups.gls`, `getGroups.lmList`, `getGroups.lme`

### Examples

    ## see the method function documentation

[Package nlme version 3.1-73 Index]